Name:          gpicview
Version:       0.2.6
Release:       1mamba
Summary:       Simple and fast Image Viewer for X
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxde/gpicview
Source:        https://github.com/lxde/gpicview.git/%{version}/gpicview-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-turbo
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool

%description
Gpicview is an simple and image viewer with a simple and intuitive interface.
It's extremely lightweight and fast with low memory usage. 
This makes it very suitable as default image viewer of desktop system. 
Although it is developed as the primary image viewer of LXDE, the Lightweight X11 Desktop Environment, it only requires GTK+ and can be used in any desktop environment. 

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
fi
:

%posttrans
update-desktop-database -q >/dev/null 2>&1
update-mime-database -n %{_datadir}/mime >/dev/null 2>&1
gtk-update-icon-cache %{_datadir}/icons/hicolor >/dev/null 2>&1
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gpicview
%{_datadir}/applications/gpicview.desktop
%dir %{_datadir}/gpicview/
%{_datadir}/gpicview//*
%{_datadir}/icons/hicolor/48x48/apps/gpicview.png
%doc AUTHORS COPYING

%changelog
* Tue Nov 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- update to 0.2.6

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1mamba
- update to 0.2.5

* Fri Oct 25 2013 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Mon Jul 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1mamba
- update to 0.2.3

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-2mamba
- rebuilt with libjpeg 8

* Fri Jan 15 2010 Fabio Giani <fabio.giani@gmail.com> 0.2.1-1mamba
- package created by autospec
